Manuel PHP
Précédent |  | Suivant

# DOMDocument->createElement()

(no version information, might be only in CVS)

DOMDocument->createElement() -- Crée un nouveau noeud

## Description

class DOMDocument {
DOMElement createElement ( string name [, string value] )
}

Cette fonction crée une nouvelle instance de la classe DOMElement. Ce noeud ne sera pas affiché dans le document, à moins qu'il ne soit inséré avec DOMNode->appendChild().

## Liste de paramètres

name

  Le nom du tag de l'élément.

value

  La valeur de l'élément. Par défaut, un élément vide sera créé. Vous pouvez également définir la valeur plus tard avec la fonction DOMElement->nodeValue.

## Valeurs de retour

Retourne une nouvelle instance de la classe DOMElement ou `FALSE` si une erreur survient.

## Exceptions

`DOM_INVALID_CHARACTER_ERR`

  Lancé si name contient un caractère invalide.

## Exemples

Exemple 1. Création d'un nouvel élément et insertion en tant que racine

`<?php $dom = new DOMDocument('1.0', 'iso-8859-1'); $element = $dom->createElement('test', 'Ceci est l\'élément racine !'); // Nous insérons le nouvel élément en tant que racine (enfant du document) $dom->appendChild($element); echo $dom->saveXML(); ?>`

L'exemple ci-dessus va afficher :

    <?xml version="1.0" encoding="iso-8859-1"?>
    <test>Ceci est l'élément racine !</test>

## Voir aussi

DOMNode->appendChild()
DOMDocument->createAttribute()
DOMDocument->createAttributeNS()
DOMDocument->createCDATASection()
DOMDocument->createComment()
DOMDocument->createDocumentFragment()
DOMDocument->createElementNS()
DOMDocument->createEntityReference()
DOMDocument->createProcessingInstruction()
DOMDocument->createTextNode()

Précédent | Sommaire | Suivant
DOMDocument->createDocumentFragment() | Niveau supérieur | DOMDocument->createElementNS()